
# ApiClustersPerfInspectorArgs

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**sourceCluster** | **String** | Required name of the source cluster to run network diagnostics test. |  [optional]
**targetCluster** | **String** | Required name of the target cluster to run network diagnostics test. |  [optional]
**pingArgs** | [**ApiPerfInspectorPingArgs**](ApiPerfInspectorPingArgs.md) | Optional ping request arguments. If not specified, default arguments will be used for ping test. |  [optional]
**bandwidthArgs** | [**ApiPerfInspectorBandwidthArgs**](ApiPerfInspectorBandwidthArgs.md) | Optional bandwidth test request arguments. If not specified, default arguments will be used for bandwidth test. Applicable since version v32. |  [optional]
**policyType** | [**PerfInspectorPolicyType**](PerfInspectorPolicyType.md) | Optional type of performance diagnostics to run. If not specified, defaults to FULL policy type. Applicable since version v32. |  [optional]



