# ApiClusterTemplate

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**cdh_version** | **str** | CDH version | [optional] 
**products** | [**list[ApiProductVersion]**](ApiProductVersion.md) | All the parcels that needs to be deployed and activated | [optional] 
**services** | [**list[ApiClusterTemplateService]**](ApiClusterTemplateService.md) | All the services that needs to be deployed | [optional] 
**host_templates** | [**list[ApiClusterTemplateHostTemplate]**](ApiClusterTemplateHostTemplate.md) | All host templates | [optional] 
**display_name** | **str** | Cluster display name | [optional] 
**cm_version** | **str** | CM version for which the template | [optional] 
**instantiator** | [**ApiClusterTemplateInstantiator**](ApiClusterTemplateInstantiator.md) | A constructor listing all the variables and references that needs to be resolved for this template | [optional] 
**repositories** | **list[str]** | List of all repositories registered with CM | [optional] 
**cluster_spec** | [**ApiClusterTemplateClusterSpec**](ApiClusterTemplateClusterSpec.md) | Cluster specification. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


